<?php
/**
 * 2007-2014 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * No redistribute in other sites, or copy.
 *
 * @author    RSI info@help2presta.com>
 * @copyright 2007-2014 h2presta
 * @license   http://help2presta.com
 */

if (!defined('_PS_VERSION_'))
	exit;

class Prestashopfix extends Module

{
	private $_html = '';
	private $_postErrors = array();

	public function __construct()
	{
		$this->name   = 'prestashopfix';
		$this->author = 'help2presta';
		if (_PS_VERSION_ < '1.4.0.0')
			$this->tab = 'Blocks';
		if (_PS_VERSION_ > '1.4.0.0' && _PS_VERSION_ < '1.5.0.0')
			$this->tab = 'front_office_features';
			$this->author = 'help2presta';
			$this->need_instance = 0;
		if (_PS_VERSION_ > '1.5.0.0')
			$this->tab = 'front_office_features';
			$this->author = 'help2presta';
			$this->bootstrap = true;
			$this->need_instance = 0;
		$this->version = '1.0.0';
		parent::__construct(); // The parent construct is required for translations
		$this->page        = basename(__FILE__, '.php');
		$this->displayName = $this->l('Prestashop Fix');
		$this->description = $this->l('Solve issue on save spinning button');
		/* Backward compatibility */
		if (_PS_VERSION_ < '1.5')
			require(_PS_MODULE_DIR_.$this->name.'/backward_compatibility/backward.php');
	}

	public function install()
	{
		if(_PS_VERSION_ > '1.6.0.0'){
		parent::install();
		Tools::copy('../modules/prestashopfix/views/form.tpl', 'themes/default/template/controllers/products/helpers/form/form.tpl');
		Tools::copy('../modules/prestashopfix/views/tree_associated_categories.tpl', 'themes/default/template/controllers/products/helpers/tree/tree_associated_categories.tpl');
		Tools::copy('../modules/prestashopfix/views/tree_toolbar_search.tpl', 'themes/default/template/helpers/tree/tree_toolbar_search.tpl');
		Tools::copy('../modules/prestashopfix/views/Tree.php', '../classes/tree/Tree.php');
		Tools::copy('../modules/prestashopfix/views/TreeToolbarSearch.php', '../classes/tree/TreeToolbarSearch.php');
		Tools::copy('../modules/prestashopfix/views/TreeToolbarSearchCategories.php', '../classes/tree/TreeToolbarSearchCategories.php');
		Tools::copy('../modules/prestashopfix/views/products.js', '../js/admin/products.js');
		Tools::copy('../modules/prestashopfix/views/tinymce.inc.js', '../js/admin/tinymce.inc.js');
		Tools::copy('../modules/prestashopfix/views/tiny_mce.inc.js', '../js/admin/tiny_mce.js');
		}
				return true;
		
	}

	public function getContent()
	{
	
			return $this->_displayInfo();
	}
	   private function _displayInfo()
    {
       
        return $this->display(
            __FILE__,
            'views/templates/hook/infos.tpl'
        );
    }
		   private function _displayAdds()
    {
       $this->context->smarty->assign('psversion', _PS_VERSION_);
        return $this->display(
            __FILE__,
            'views/templates/hook/adds.tpl'
        );
    }
	
	

	

	
	
	
}
